Uploading this open source mod from Nexus Mods because it's not on Thunderstore yet.

Developer: [aedenthorn](https://www.nexusmods.com/valheim/users/18901754)

Original mod link: https://www.nexusmods.com/valheim/mods/793

Github: https://github.com/aedenthorn/ValheimMods/tree/master/BuildingHealthDisplay

## Building health display


This is a small quality-of-life mod that lets you tweak the little bar that shows how much health a building piece has.  

-   Lets you optionally set colours for low, mid, and high remaining health, with smooth blending from one colour to another (default  **red, yellow, and green**)
-   Lets you optionally hide the health bar.
-   Lets you optionally show custom health text with the health bar (default shows  **current / max (percent)**)
-   Lets you optionally show piece structural integrity (default shows  **current / max (percent)**)
-   Lets you optionally set colours for low, mid, and high piece integrity, with smooth blending from one colour to another (default  **red, yellow, and green**)

The health and integrity texts are in the format **{0}/{1} ({2})** just as an example to show all three showable values. You can customize this as you like. **{0}** is replaced by current value. **{1}** is replaced by max value. **{2}** is replaced by percentage value. 

## **Config**

  
A config file **BepInEx/config/cjayride.BuildingHealthDisplay.cfg** is created after running the game once with this mod.    

## Changelog

0.6.2
- Fixed potential issue with missing assembly file

0.6.1
- Changed config file name to cjayride.BuildingHealthDisplay.cfg

0.6.0
- 2 changes (commits) by "Aedenthorn" on Aug 24, 2023 and Oct 6, 2023

0.4.1
- Verified works on Mistlands update
- Changed config file name to cjayride.BuildingHealthDisplay.cfg
- Changed default value of ShowIntegrityText = false
